import { Fatina } from './fatina';
export interface ISonarPresetParams {
    alpha: string;
    scaleX: string;
    scaleY: string;
    amplitude: number;
    duration: number;
}
/**
 * Sonar Preset
 *
 * @ignore
 * @export
 * @param {Fatina} fatina
 * @param {*} obj
 * @param {ISonarPresetParams} [settings]
 * @returns
 */
export declare function sonarPreset(fatina: Fatina, obj: any, settings?: ISonarPresetParams): import("./index").ITween;
export interface IPulsePresetParams {
    alpha: string;
    duration: number;
}
/**
 * Pulse Preset
 *
 * @ignore
 * @export
 * @param {Fatina} fatina
 * @param {*} obj
 * @param {IPulsePresetParams} [settings]
 * @returns
 */
export declare function pulsePreset(fatina: Fatina, obj: any, settings?: IPulsePresetParams): import("./index").ISequence;
export interface IScalePresetParams {
    scaleX: string;
    scaleY: string;
    amplitude: number;
    duration: number;
    bounce: number;
    friction: number;
    sinX: number;
}
/**
 * Scale Preset
 *
 * @ignore
 * @export
 * @param {Fatina} fatina
 * @param {*} obj
 * @param {IScalePresetParams} [settings]
 * @returns
 */
export declare function scalePreset(fatina: Fatina, obj: any, settings?: IScalePresetParams): import("./index").ITween;
/**
 * Wobble Preset
 *
 * @ignore
 * @export
 * @param {Fatina} fatina
 * @param {*} obj
 * @param {IScalePresetParams} [settings]
 * @returns
 */
export declare function wobblePreset(fatina: Fatina, obj: any, settings?: IScalePresetParams): import("./index").ITween;
export interface IShakePresetParams {
    posX: string;
    posY: string;
    amplitude: number;
    duration: number;
    bounce: number;
    friction: number;
}
/**
 * Shake Preset
 *
 * @ignore
 * @export
 * @param {Fatina} fatina
 * @param {*} obj
 * @param {IShakePresetParams} [settings]
 * @returns
 */
export declare function shakePreset(fatina: Fatina, obj: any, settings?: IShakePresetParams): import("./index").ITween;
