import { IPlayable } from '../core/interfaces/IPlayable';
import { BaseTween } from './baseTween';
/**
 * Fake tween used to delay other tweens in a sequence
 *
 * @export
 * @class Delay
 * @extends {BaseTween}
 * @implements {IPlayable}
 */
export declare class Delay extends BaseTween<Delay> implements IPlayable {
    /**
     * @private
     */
    private remains;
    /**
     * Creates an instance of Delay.
     *
     * @param {number} duration
     */
    constructor(duration: number);
    /**
     * @private
     * @param {number} dt
     * @returns
     * @memberof Delay
     */
    private tick;
}
